<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <script>
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        $(document).ready(function () {
            // gán sự kiện cho nút bật đèn
            $("#btn-bat-den").on("click", function () {
                onBtnBatDenClick();
            });

            // gán sự kiện cho nút tắt đèn
            $("#btn-tat-den").click(function () {
                onBtnTatDenClick();
            });
        });
        
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        // xử lý sự kiện nút bật đèn click
        function onBtnBatDenClick() {
            $("#imgLight").prop("src", "images/pic_bulbon.gif");
        }

        // xử lý sự kiện nút tắt đèn click
        function onBtnTatDenClick() {
            $("#imgLight").prop("src", "images/pic_bulboff.gif");
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    </script>
</head>

<body>
    <div class="container">
        <div class="d-flex justify-content-center">
            <div class="d-flex align-items-end">
                <button class="btn btn-warning" id="btn-bat-den">Bật đèn</button>
                <img id="imgLight" src="images/pic_bulboff.gif" alt="light image" width="150px">
                <button class="btn btn-secondary" id="btn-tat-den">Tắt đèn</button>
            </div>
        </div>
    </div>
</body>

</html>